(TeX-add-style-hook "scrguide"
 (function
  (lambda ()
    (LaTeX-add-environments
     "decl")
    (LaTeX-add-bibitems
     "Duden"
     "CJK"
     "fancyheadings"
     "JanTschichold")
    (LaTeX-add-labels
     "TAB:Zuordnung"
     "DIV1"
     "DIV2"
     "AREASET"
     "HEADSEPLINE"
     "SECTFONT"
     "TAB::Fonts"
     "PAGESTYLES"
     "ADR"
     "PRIVAT"
     "VARIABLEN"
     "SCRPAGE")
    (TeX-add-symbols
     '("IndexPackage" ["argument"] 1)
     '("IndexOption" ["argument"] 1)
     '("IndexEnv" ["argument"] 1)
     '("IndexCmd" ["argument"] 1)
     '("Index" ["argument"] 1)
     '("EndIndex" 2)
     '("BeginIndex" 2)
     '("package" 1)
     '("class" 1)
     '("file" 1)
     '("script" 1)
     '("purearg" 1)
     '("parg" 1)
     '("oarg" 1)
     '("m" 1)
     "dotfill"
     "bslash"
     "mklogo"
     "mk"
     "adrentry"
     "adrentry")
    (TeX-run-style-hooks
     "privat"
     "german"
     "latex2e"
     "scrlettr10"
     "scrlettr"
     "german"
     "latex2e"
     "scrlettr10"
     "scrlettr"
     "german"
     "latex2e"
     "scrlettr10"
     "scrlettr"
     "latex2e"
     "scrlettr10"
     "scrlettr"
     "privat"
     "german"
     "latex2e"
     "letter10"
     "letter"
     "typearea"
     "latex2e"
     "scrreprt10"
     "scrreprt"
     "endlos"
     "latex2e"
     "scrreprt10"
     "scrreprt"
     "a4paper"
     "latex2e"
     "scrreprt10"
     "scrreprt"
     "a5paper"
     "shortvrb"
     "makeidx"
     "german"
     "scrdate"
     "scrtime"
     "scrpage"
     "latex2e"
     "scrreprt10"
     "scrreprt"
     "headsepline"
     "privat"
     "kollegen"))))

