(TeX-add-style-hook "testmath"
 (function
  (lambda ()
    (LaTeX-add-environments
     "thm"
     "cor"
     "lem"
     "prop"
     "ax"
     "defn"
     "rem")
    (LaTeX-add-bibitems
     "dihe:newdir"
     "fre:cichon"
     "gouja:lagrmeth"
     "hapa:graphenum"
     "imlelu:oneway"
     "komiyo:unipfunc"
     "komiyo:lincomp"
     "liuchow:formalsum"
     "mami:matrixth"
     "miyoki:lincomp"
     "moad:quadpro"
     "ste:sint"
     "ye:intalg")
    (LaTeX-add-labels
     "multdef"
     "H-cycles"
     "s:mt"
     "lem-per"
     "lem-det"
     "detprod"
     "sum-bij"
     "thm-main"
     "detB"
     "BI"
     "bl-sum"
     "sum-Di"
     "detK1"
     "detK2"
     "sum-ali"
     "sum-ali"
     "prop:eg"
     "delta-l"
     "lincomp"
     "e:st"
     "e:barwq"
     "joe"
     "j:mark"
     "SKE"
     "th-info-ow-ow"
     "th-weak-ske-owf"
     "computation"
     "limbog"
     "boundab"
     "d:over"
     "d:ad"
     "far-d"
     "p0201"
     "E_SXgYy"
     "tripleA"
     "nsep"
     "th-realarr"
     "T_first_the_int"
     "S_Cp1"
     "t:conl"
     "quts"
     "r:omb"
     "r:dif"
     "r:dif0"
     "e:bomb"
     "e:SS"
     "alimo"
     "Dt"
     "Dx"
     "thm-H-param"
     "H-param"
     "A-l-lambda"
     "compl-gr"
     "compl-bip-gr"
     "thm-asym"
     "s:font"
     "s:comp"
     "fracs"
     "s:eq"
     "eq:A"
     "eq:A"
     "eq:E"
     "eq:E"
     "eq:B"
     "eq:B"
     "eq:C"
     "eq:D"
     "eq:C"
     "eq:D")
    (TeX-add-symbols
     '("enVert" 1)
     '("envert" 1)
     '("eval" 2)
     '("interval" 1)
     '("Cw" 1)
     '("lemref" 1)
     '("secref" 1)
     '("thmref" 1)
     '("env" 1)
     '("fn" 1)
     '("pkg" 1)
     '("cn" 1)
     "bslash"
     "ntt"
     "bysame"
     "A"
     "B"
     "st"
     "XcY"
     "SX"
     "SY"
     "SXY"
     "SXgYy"
     "G"
     "PY"
     "X"
     "wt"
     "wh"
     "abs"
     "norm")
    (TeX-run-style-hooks
     "amsmath"
     "amsthm"
     "latex2e"
     "art10"
     "article"
     "draft"))))

